## Tcl8.6.0/Tk8.6.0 Documentation > Tcl C API, version 8.6.0 > Sleep

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_Sleep — delay execution for a given number of milliseconds

### SYNOPSIS

#include <tcl8.6/tcl.h>
Tcl_Sleep(ms)

### ARGUMENTS

int ms (in)
  Number of milliseconds to sleep.

### DESCRIPTION

This procedure delays the calling process by the number of milliseconds given by the ms parameter and returns after that time has elapsed. It is typically used for things like flashing a button, where the delay is short and the application need not do anything while it waits. For longer delays where the application needs to respond to other events during the delay, the procedure Tcl_CreateTimerHandler should be used instead of Tcl_Sleep.

### KEYWORDS

sleep, time, wait
Copyright © 1990 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.